/*
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: $
 *
 * Codegen - generate Ksi code from Gont Abstract Syntax Trees. 
 */
 
open Ast;

void init(Stdio::FILE ksi_file);
void codegen_for_decl(decl d); 
// init*fini function name, or "" if none
*[string, string] fini();

// proto
void push_basic_types();
type CTX
Ksi::expr compile_stmt(CTX c, stmt s);
Ksi::expr compile_expr(CTX c, expr s);
Ksi::expr compile_lambda(CTX c, lambda_record l);
